## org.codehaus.groovy.transform.powerassert
Class SourceTextNotAvailableException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.transform.powerassert.SourceTextNotAvailableException

All Implemented Interfaces:
  Serializable

    public class SourceTextNotAvailableException

extends RuntimeException

Indicates that the source text for an assertion statement is not available.

Author:
  Peter Niederwieser
See Also:
  Serialized Form

Constructor Summary
`SourceTextNotAvailableException(AssertStatement stat, SourceUnit unit, String msg)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SourceTextNotAvailableException

    public SourceTextNotAvailableException(AssertStatement stat,
                                           SourceUnit unit,
                                           String msg)

Copyright © 2003-2009 The Codehaus. All rights reserved.